@font-face {
  font-family: "Archangelsk";
  src: url("/css/arch.ttf") format("truetype");
}

html, body {
  margin: 0px;
  overflow: hidden;
  height: 100%;
  font-family: "Archangelsk", "Open Sans", OpenSans, sans-serif;
  -moz-user-select:none;
  background: #000;
  color: rgb(0, 255, 13);
  overflow: hidden;
}

*, *::after, *::before {
	box-sizing: border-box;
}

#title, #title h1 {
  display: block;
	z-index: 3;
  position:fixed; top:0; left: 0; width: 100%; height: 28px;
  text-align: center;
  font-size: 17px;
  line-height: 28px;
  color: rgb(0, 255, 13);
  font-weight: 300;
  background: #000;
  border-bottom: 1px solid rgb(0, 255, 13);
  margin: 0;
  padding: 0;
  text-transform: uppercase;
  white-space: nowrap;
}

#frame {
	display: block;
	z-index: 3;
	position: fixed; top: 28px; left: 0;
	overflow: hidden;
	width: 100%;
	height: calc(100% - 28px);
	text-align: center;
}

#screen {
	border: none;
	display: inline-block;
  color: inherit;
	font-size: 1rem;
	width: 100%;
	height: 100%;
	margin: 0 auto;
	overflow: auto;
	text-align: left;
  padding: 1em;
}

#softkeys {
	display: block; z-index: 13;
  position: fixed; bottom: 0; left: 0; width: 100%; height: 30px;
  background: #111;
  padding: 3px 5px;
  color: rgb(0, 255, 13);
  line-height: 30px;
  box-shadow: 0 0 5px rgb(0, 255, 13), 0 0 10px rgb(0, 255, 13);
}

#softkeys > * {
  display: inline-block;
  width: 72px;
  padding: 0 5px;
}

#choice, #back {
  font-weight: 400;
  font-size: 14px;
}

#back {
  text-align: right;
}

#ok {
  font-weight: 600;
  font-size: 16px;
  width: 70px;
  text-align: center;
	text-transform: uppercase;
}

#filepicker {
  position: fixed; top:28px; left: 0; width: 100%; height: calc(100% - 58px);
	display: block;
  overflow-x: hidden;
  overflow-y: scroll;
}

.picker-file {
  display: block;
  background: #111;
  color: rgb(0, 255, 13);
  position: relative;
  width: 100%;
  height: 3em;
  padding: 0 5px;
}

.picker-file.active {
  box-shadow: 0 0 5px rgb(0, 255, 13), 0 0 10px rgb(0, 255, 13);
  background: #111;
  color: #ffffff;
}

#mainCanvas {
	position: fixed;
  z-index: 1500;
  bottom: 96px;
	left: 0;
  border: none;
  width: 240px;
	height: 120px;
  display: none;
  box-shadow: 0 0 5px rgb(0, 255, 13), 0 0 10px rgb(0, 255, 13), 0 0 1000px rgb(0, 255, 13);
}

body.ingame #mainCanvas {
  display: block;
}

body.ingame #screen {
  display: none;
}
